cURL
curl "https://api.phrase.com/v2/projects/:project_id/report/locales?locale_codes[]=de&locale_codes[]=en&branch=my-feature-branch" \
-X GET \
-u USERNAME_OR_ACCESS_TOKENphrase report locales list \
--project_id <project_id> \
--branch my-feature-branch \
--locale_codes de \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/report/locales"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/report/locales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phrase.com/v2/projects/{project_id}/report/locales",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phrase.com/v2/projects/{project_id}/report/locales"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phrase.com/v2/projects/{project_id}/report/locales")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phrase.com/v2/projects/{project_id}/report/locales")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"keys_count": 123,
"translated_translations_percentage": 123,
"unverified_translations_percentage": 123,
"reviewed_translations_percentage": 123,
"untranslated_keys_percentage": 123,
"completed_translations_count": 123,
"untranslated_keys_count": 123,
"unverified_translations_count": 123,
"reviewed_translations_count": 123,
"source_word_count": 123,
"word_count": 123,
"word_count_unverified": 123,
"word_count_missing": 123,
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
}
]Reports
List Locale Reports (word count, character count, translation statistics)
List all locale reports for the given project. Each report includes translation statistics per locale, including word count and character count fields (source_word_count, word_count, word_count_unverified, word_count_missing) as well as translation completion statistics (keys_count, completed_translations_count, untranslated_keys_count, unverified_translations_count, reviewed_translations_count, and their percentages). Use the tag parameter to scope the report to a specific job (e.g. its job tag) to get job-scoped word count statistics.
GET
/
projects
/
{project_id}
/
report
/
locales
cURL
curl "https://api.phrase.com/v2/projects/:project_id/report/locales?locale_codes[]=de&locale_codes[]=en&branch=my-feature-branch" \
-X GET \
-u USERNAME_OR_ACCESS_TOKENphrase report locales list \
--project_id <project_id> \
--branch my-feature-branch \
--locale_codes de \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/report/locales"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/report/locales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phrase.com/v2/projects/{project_id}/report/locales",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phrase.com/v2/projects/{project_id}/report/locales"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phrase.com/v2/projects/{project_id}/report/locales")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phrase.com/v2/projects/{project_id}/report/locales")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"keys_count": 123,
"translated_translations_percentage": 123,
"unverified_translations_percentage": 123,
"reviewed_translations_percentage": 123,
"untranslated_keys_percentage": 123,
"completed_translations_count": 123,
"untranslated_keys_count": 123,
"unverified_translations_count": 123,
"reviewed_translations_count": 123,
"source_word_count": 123,
"word_count": 123,
"word_count_unverified": 123,
"word_count_missing": 123,
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
}
]Query Parameters
Response
OK
Was this page helpful?